<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ppu__prog__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ppu_prog_cfg_t</compoundname>
    <includes local="no">cy_prot.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1a4e4be32414098c2065ad67ee2e225176" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t *</type>
        <definition>uint32_t* cy_stc_ppu_prog_cfg_t::address</definition>
        <argsstring />
        <name>address</name>
        <briefdescription>
<para>Base address of the memory region (Only applicable to slave) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="913" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="913" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1aceec4f309afe739ea22e405254cef6c6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1gaad39ed0d259460f717edfe9d08fc005f">cy_en_prot_size_t</ref></type>
        <definition>cy_en_prot_size_t cy_stc_ppu_prog_cfg_t::regionSize</definition>
        <argsstring />
        <name>regionSize</name>
        <briefdescription>
<para>Size of the memory region (Only applicable to slave) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="914" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="914" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1ae2cf0dcda80e84268abd5ffc34c5d53f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ppu_prog_cfg_t::subregions</definition>
        <argsstring />
        <name>subregions</name>
        <briefdescription>
<para>Mask of the 8 subregions to disable (Only applicable to slave) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="915" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="915" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1ac67d8931b6193bd780d22a289ff24ecc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_ppu_prog_cfg_t::userPermission</definition>
        <argsstring />
        <name>userPermission</name>
        <briefdescription>
<para>User permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="916" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="916" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1a62889bf9eb63298c042b5f3ba4f02feb" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_ppu_prog_cfg_t::privPermission</definition>
        <argsstring />
        <name>privPermission</name>
        <briefdescription>
<para>Privileged permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="917" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="917" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1a0679c21af5da08ab53565d2194590d3c" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ppu_prog_cfg_t::secure</definition>
        <argsstring />
        <name>secure</name>
        <briefdescription>
<para>Non Secure = 0, Secure = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="918" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="918" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1a4c26d8bc2318f5a63fbef8f2b8c4b30a" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ppu_prog_cfg_t::pcMatch</definition>
        <argsstring />
        <name>pcMatch</name>
        <briefdescription>
<para>Access evaluation = 0, Matching = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="919" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="919" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__prog__cfg__t_1a5d4affdc56cac5b165a927154d1a7331" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ppu_prog_cfg_t::pcMask</definition>
        <argsstring />
        <name>pcMask</name>
        <briefdescription>
<para>Mask of allowed protection context(s) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="920" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="920" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure for Programmable (PROG) PPU (PPU_PR) struct initialization. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="921" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="911" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="912" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1a4e4be32414098c2065ad67ee2e225176" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>address</name></member>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1a5d4affdc56cac5b165a927154d1a7331" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>pcMask</name></member>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1a4c26d8bc2318f5a63fbef8f2b8c4b30a" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>pcMatch</name></member>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1a62889bf9eb63298c042b5f3ba4f02feb" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>privPermission</name></member>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1aceec4f309afe739ea22e405254cef6c6" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>regionSize</name></member>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1a0679c21af5da08ab53565d2194590d3c" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>secure</name></member>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1ae2cf0dcda80e84268abd5ffc34c5d53f" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>subregions</name></member>
      <member prot="public" refid="structcy__stc__ppu__prog__cfg__t_1ac67d8931b6193bd780d22a289ff24ecc" virt="non-virtual"><scope>cy_stc_ppu_prog_cfg_t</scope><name>userPermission</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>